
# distro/release specific support (using Fedora Extras' style macros)
%if 0%{?fedora} > 4
%define _with_gstreamer --with-gstreamer
BuildRequires: libXv-devel
%endif

Name:	 kmplayer
Summary: Video plugin for Konqueror and basic MPlayer/Xine/ffmpeg frontend 
Version: 0.9.3a
Release: 1%{?dist}
Group: 	 Applications/Multimedia

License: GPL
URL:	 http://kmplayer.kde.org/
Source0: http://kmplayer.kde.org/pkgs/kmplayer-%{version}%{?beta}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: kdelibs-devel
BuildRequires: xine-lib-devel 
%{?_with_gstreamer:BuildRequires: gstreamer-devel >= 0.10, gstreamer-plugins-base-devel >= 0.10}

%description
Video player plugin for Konqueror and basic MPlayer/Xine/ffmpeg/ffserver/VDR
frontend.


%prep
%setup -q -n %{name}-%{version}%{?beta}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --disable-koffice-plugin \
  %{?_with_gstreamer} %{!?_with_gstreamer:--without-gstreamer}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
%find_lang %{name} 
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# omit x-mplayer2.desktop.  It's in kdelibs now. 
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-mplayer2.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* README 
%{_bindir}/*
%{_datadir}/apps/kmplayer/
%{_datadir}/applications/kde/*.desktop
%config %{_datadir}/config/*rc
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/application/x-kmplayer.desktop
%{_datadir}/mimelnk/video/x-ms-wmp.desktop
%{_datadir}/services/*
%{_libdir}/lib*.[ls][ao]
%{_libdir}/kde3/*.[ls][ao]


%changelog
* Wed Jan 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.3a-1
- kmplayer-0.9.3a

* Fri Sep 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-1
- 0.9.3

* Fri Jul 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-2.a
- 0.9.2a

* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-1
- 0.9.2(final)

* Fri Apr 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-0.1.rc1
- 0.9.2-rc1

* Fri Nov 11 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-0.lvn.1
- 0.9.1

* Wed Mar 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-0.2.a.kde
- 0.8.4a

* Sat Jan 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-0.2.a.kde
- touchup x-mplayer2.deskop

* Fri Nov 19 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-0.1.a.kde
- 0.8.3a
